---
title: Gamepad.pose
slug: Web/API/Gamepad/pose
tags:
  - API
  - Experimental
  - Gamepad
  - Gamepad API
  - Property
  - Reference
  - pose
---
<div>{{APIRef("Gamepad")}}{{SeeCompatTable}}</div>

<p>The <strong><code>pose</code></strong> read-only property of the {{domxref("Gamepad")}} interface returns a {{domxref("GamepadPose")}} object representing the pose information associated with a WebVR controller (e.g. its position and orientation in 3D space).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myGamepadPose = gamepadInstance.pose;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("GamepadPose")}} object.</p>

<h2 id="Examples">Examples</h2>

<p>TBC</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('GamepadExtensions', '#partial-gamepad-interface', 'pose')}}</td>
   <td>{{Spec2('GamepadExtensions')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Gamepad.pose")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a></li>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a></li>
</ul>
